For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Multiple Warehouse Receiving Orders
      • POSTCreate Warehouse Receiving Order
      • GETGet Warehouse Receiving Order
      • POSTSet ExternalSync flag for Wros
      • GETGet Warehouse Receiving Order Boxes
      • POSTCancel Warehouse Receiving Order
      • GETGet Fulfillment Centers
      • GETGet Warehouse Receiving Order Box Labels
      • GETGet Inventory Distributions by WRO ID
LogoLogo
API ReferenceReceiving

Get Inventory Distributions by WRO ID

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2025-07/receiving/:id/distributions
GET
/2025-07/receiving/:id/distributions
$curl https://sandbox-api.shipbob.com/2025-07/receiving/1/distributions \
> -H "Authorization: Bearer <token>"
1{
2 "distributions": [
3 {
4 "expected_quantity": 0,
5 "fulfillment_center_abbreviation": "string",
6 "fulfillment_center_id": 0,
7 "inventory_id": 0,
8 "lot_date": "2019-08-24T14:15:22+00:00",
9 "lot_number": "string",
10 "product_sku": "string",
11 "received_quantity": 0,
12 "status": "NotStarted",
13 "stowed_quantity": 0
14 }
15 ],
16 "id": 0,
17 "status": "Awaiting"
18}
Retrieves the distribution details for a specific receiving order within ShipBob's Inventory Placement Program (IPP). <Warning>This endpoint is available only to accounts enrolled in ShipBob's Inventory Placement Program (IPP).</Warning>
Was this page helpful?
Previous

Get Warehouse Receiving Order Box Labels

Next

Get Return Order

Built with

Retrieves the distribution details for a specific receiving order within ShipBob’s Inventory Placement Program (IPP).

This endpoint is available only to accounts enrolled in ShipBob’s Inventory Placement Program (IPP).

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idintegerRequired
Id of the receiving order

Response

Success
distributionslist of objects
List of distribution items, for a combination of InventoryId, Lot Number, Lot Date and Destination Fulfillment Center Id
idinteger
Id of the receiving order
statusenum

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error